BMALog Class Reference

`#include <BMALog.h>`

Inheritance diagram for BMALog:
[legend]
Collaboration diagram for BMALog:
[legend]

## Public Member Functions

| BMALog (BMAConsoleServer *consoleServer)
| BMALog (BMAFile *logFile)
| BMALog (int level)
| ~BMALog ()

## Public Attributes

bool | output = false
Public Attributes inherited from BMAObject
std::string | name
std::string | tag

## Static Public Attributes

static BMAConsoleServer * | consoleServer = NULL
static BMAFile * | logFile = NULL
static int | seq = 0

## Detailed Description

BMALog

Provides easy to access and use logging features to maintain a history of activity and provide information for activity debugging.

## Constructor & Destructor Documentation

## BMALog() [1/3]

BMALog::BMALog | ( | BMAConsoleServer * | consoleServer | ) |

Constructor method that accepts a pointer to the applications console server. This enables the BMALog object to send new log messages to the connected console sessions.

Parameters

  consoleServer | a pointer to the console server that will be used to echo log entries.

## BMALog() [2/3]

BMALog::BMALog | ( | BMAFile * | logFile | ) |

Constructor method accepts a file object that will be used to echo all log entries. This provides a permanent disk file record of all logged activity.

## BMALog() [3/3]

BMALog::BMALog | ( | int | level | ) |

Constructor method that is used to send a message to the log.

Parameters

  level | the logging level to associate with this message.

To send log message: BMALog(LOG_INFO) << "This is a log message.";

## ~BMALog()

BMALog::~BMALog | ( |  | ) |

The destructor for the log object.

## Member Data Documentation

## consoleServer

BMAConsoleServer * BMALog::consoleServer = NULL

static

Set the consoleServer to point to the instantiated BMAConsoleServer object for the application.

## logFile

BMAFile * BMALog::logFile = NULL

static

Specify a BMAFile object where the log entries will be written as a permanent record to disk.

## seq

int BMALog::seq = 0

static

A meaningless sequenctial number that starts from - at the beginning of the logging process.

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/BMALog.h
- /home/barant/Development/BMA/server_core/ServerCore/BMALog.cpp